fuss-server - Segnalazione #263

Installazione Fuss Server
05/18/2017 11:39 AM - Philipp Amort

Status: Chiuso Start date: 05/18/2017
Priority: Normale Due date:

Assignee: Philipp Amort % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Ho provato a installare la nuova versione di fuss. Ma durante la esecuzione del commando "fuss-server create”
ricevo un errore durante il task [slapd : Copy DIT template] (vedi allegato) .

Ho utilizato la seguente iso:
fuss-server-jessie-amd64-201705081035.iso

History

#1 - 05/18/2017 11:40 AM - Christopher R. Gabriel

- Assignee set to Simone Piccardi

#2 - 05/18/2017 11:56 AM - Simone Piccardi
- Status changed from Nuovo to In elaborazione

- Assignee changed from Simone Piccardi to Philipp Amort

Sembra un errore di codifica, & possibile avere una copia dei file:

e /etc/fuss-server/fuss-server.yaml
¢ /etc/fuss-server/fuss-server-defaults.yaml

#3 - 05/18/2017 04:11 PM - Philipp Amort
- File fuss-server.yaml added

- File fuss-server-defaults.yaml added

Ecco i file richieste

#4 - 05/18/2017 04:12 PM - Christopher R. Gabriel

- Assignee changed from Philipp Amort to Simone Piccardi

#5 - 05/18/2017 07:22 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Il problema & la password composta da soli numeri, questo fa fallire i filtri di generazione degli hash LM e NT per Samba invocati nel processamento
del template. Il problema si pone anche per password piu lunghe.

Il commit a211894d dovrebbe risolvere la questione, ho eseguito anche ulteriore commit (b0fa49e) per un bump della versione del pacchetto.

Da valutare se mettere in fase di validazione della password un controllo sul contenuto della stessa.
https://work.fuss.bz.it/projects/fuss-server/repository/fuss-server/revisions/a211894d9f0de1bca9ac1108300b0501e19bec1b
https://work.fuss.bz.it/projects/fuss-server/repository/fuss-server/revisions/b0fa49e2d93795fbf3b51c1df3d070bfdc15926f

#6 - 05/19/2017 09:57 AM - Simone Piccardi

Correzione, il commit con il version bumb & 74d0733f

#7 - 05/19/2017 10:06 AM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

Simone Piccardi ha scritto:

Il problema & la password composta da soli numeri, questo fa fallire i filtri di generazione degli hash LM e NT per Samba invocati nel
processamento del template. Il problema si pone anche per password piu lunghe.

I commit a211894d dovrebbe risolvere la questione,

Pero' leggendo il tuo commit log vedo:
"Forcing them to string, but still numeric only password are bad."

Quindi non risolve?

#8 - 05/19/2017 10:43 AM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Si, non sono stato chiaro. Il cambiamento risolve il problema dell'errore di generazione degli hash, e quindi consente di impostare anche password
solo numeriche.

Ma appunto le password solo numeriche sarebbero da evitare, in quando deboli e per questo generalmente considerate cattive.

#9 - 05/19/2017 10:45 AM - Christopher R. Gabriel

- Status changed from Commenti to In elaborazione
Procedo con generazione nuovo pacchetto.

#10 - 05/19/2017 10:47 AM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Philipp Amort

Fuss-server 8.0.13 e' stato pubblicato sul repository.

Si puo' aggiornare e riprovare utilizzando la stessa password.
https://work.fuss.bz.it/projects/fuss-server/repository/fuss-server/revisions/74d0733f29044908459740c80672c98074ee19f8
https://work.fuss.bz.it/projects/fuss-server/repository/fuss-server/revisions/a211894d9f0de1bca9ac1108300b0501e19bec1b

#11 - 05/23/2017 10:53 AM - Philipp Amort

La installazione funziona adesso anche con la password numericha

#12 - 05/24/2017 05:12 PM - Philipp Amort

- Status changed from Commenti to Chiuso

risolto

Files

error.xt 14.6 KB 05/18/2017 Philipp Amort

fuss-server.yaml 588 Bytes 05/18/2017 Philipp Amort

fuss-server-defaults.yaml 441 Bytes 05/18/2017 Philipp Amort
